Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Class IIOPTransportClientInitializer

    java.lang.Object
      |
      +--org.apache.avalon.framework.logger.AbstractLogEnabled
            |
            +--org.openorb.iiop.IIOPTransportClientInitializer

All Implemented Interfaces:
  org.apache.avalon.framework.logger.LogEnabled, TransportClientInitializer

public class IIOPTransportClientInitializer
extends org.apache.avalon.framework.logger.AbstractLogEnabled
implements TransportClientInitializer

Interface for creating sockets.

Version:
  $Revision: 1.10 $ $Date: 2002/09/15 21:48:46 $
Author:
  Chris Wood

Constructor Summary
`IIOPTransportClientInitializer(ORBInitInfo orbinfo, FeatureInitInfo featureinfo)` Constructor.

Method Summary
`Address[]` | `establishTransports(Address[] addresses)` Set the MessageTransport constructor for each of the addresses.

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IIOPTransportClientInitializer

    public IIOPTransportClientInitializer(ORBInitInfo orbinfo,
                                          FeatureInitInfo featureinfo)

  Constructor.

Method Detail

### establishTransports

    public Address[] establishTransports(Address[] addresses)

  Set the MessageTransport constructor for each of the addresses. All the addresses will be alternative endpoints from a single IOR profile.
  Specified by:
    `establishTransports` in interface `TransportClientInitializer`
  Returns:
    new list of addresses.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD